Login One! plug-inTROUBLE SHOOTING GUIDE FOR LOGIN ONE! PLUG-IN
Login One! plug-in for Joomla! 3.x

 

Preamble:
This page is regularly reviewed. Based on customer queries that we have received, we may expand or alter it as needed.

The information presented here is to be considered a basic guideline and is provided 'as is', without any form of warranty or guarantee. We accept no liabilities for using the informations on this page.

This troubleshooting guide applies to all current Login One! editions and versions.
Authentication plug-ins are criticial pieces of software and your Joomla! installation and setup may be different from the basis for these instructions.

MOST COMMON OMISSION / MISTAKE
The most commonly made omission / mistake is that the documentation which is included in the downloaded package is not read. At least half of the requests for help that we receive could be simply answered by the famous initialism RTFM.
Some of the obvious solutions, even if already mentioned in the plug-in documentation, are included in the guidelines below.


Though this is not directly related to errors and trouble, we'd thought it would be wise to mention it anyway.

After having installed and enabled the plug-in (see documentation), you should check - BEFORE you log out from the back-end - whether you will not be locking yourself out from the front- and back-end:

  • While leaving the back-end open, open the website's home page (front-end) in a separate tab or window, for example by clicking the Preview or View Site link at the top of the back-end page.
  • Log into the home page (front-end), not necessarily as an administrator, and log out again.
  • If you see no errors upon logging in or out, you are OK. You may log out from the back-end.
  • If you see errors upon logging in or out, disable both the Login One! authentication and user plug-ins and enable the standard Joomla! authentication and user plug-ins instead. The Login One! plug-in is not functioning correctly.

Authentication plug-ins can be critical and on top of this, the Joomla! 3.x core software has seen several significant revisions since its first release. Some of these revisions affect the user log-in process and therefore the Login One! plug-in.

We want to make sure that our software performs to expectation. We have temporarily restricted the installation of the Login One! plug-in to the Joomla! versions that we have tested and verified, so that the chances of locking yourself out from your website are minimised.

Possible causes:

  • The plug-in version that you are trying to install has not (yet) been verified and released for the Joomla! 3.x core version that you are using.

Possible solution:

  • Check your version of the plug-in and update both the authentication and the user plug-in if possible and necessary.
  • If you already have the latest version, check again for a new update later.

How to check your version:

  • In the authentication plug-in description, next to the plug-in logo, you will find the following text: "Is this the latest version? Click here". Click the "here" link and you will be taken to our web page.

You can't get access and you are seeing a notice telling you that your username/password are wrong or that you do not have an account.

Possible causes:

  • You have most likely not carried out the installation check mentioned under 1.
  • If you see an error saying "Could not load authentication libraries", you have probably disabled the standard Joomla! authentication plug-in while not having enabled the Login One! plug-in.
  • You are not using the latest version of the plug-in.

Possible solution:

  • If you are still logged into the back-end, it's your lucky day. Check the version of the plug-in and update both the athentication and the user plug-in if necessary. Then make sure that both the Login One! authentication and user plug-ins are enabled.
  • If you have logged out from the back-end and can't get back into the back-end, there is no other way than to regain access by directly editing the MySQL database of the website, see Regaining back-end access after lock-out. After this, you can enable the Login One! authentication and user plug-ins through the back-end.

Even after waiting ages for the other session to expire, you can't get access to your website and the Login One! plug-in continues to notify you that multiple log-ins are not allowed.

Possible causes:

  • Another session using the same user credentials is still open and the other session is either still active or the website has been configured with a very long session life time.
  • The website does not have the overrides installed and the standard Joomla! install keeps the other session alive even if it's not active any longer (see here for more info about this behaviour).
  • You are not using the latest version of the plug-in.

Possible solutions:

  • Reduce the session life time in the website global configuration.
  • Check the version of the plug-in and update both the authentication and the user plug-in if necessary.
  • Install the overrides (Premium and Business Editions only). The Login One! freeware editions do not have the override option.

The following applies to the Business Edition only.
Despite that you have configured the 'maximum allowed sessions' to a value of 2 or greater, the plug-in is blocking all multiple log-in attempts.

Possible cause:

  • You have not configured any allowed user groups, meaning that no user groups and therefore no users are allowed to have multiple log-ins. This is the default behaviour of the plug-in.

Solution:

  • Configure the option named 'Allowed user groups' (near the top) and select there which user groups will be allowed multiple log-ins according to the set 'maximum allowed sessions'.
    NOTE: Including the user group 'Public' in the selection will disable the option.

The plug-in is rightfully denying access to multiple log-in attempts, but the notification that multiple log-ins are not allowed is not displayed at the front-end.

Possible causes:

  • Your website is using a template that does not have the system messages included correctly.
    If the website is using the standard Joomla! login module, you can check this by logging in while using 'gibberish' credentials, e.g. username xxx and password xxx. You should see a message saying that your credentials are wrong. If not, the front-end template is likely the problem.
  • It is not the Login One! plug-in but some other extension that is denying access.

Possible solutions:

  • Modify the template to properly include system messages.
    The body should include the code <jdoc:include type="message" />
  • Enable the standard Joomla! authentication and user plug-ins. Then disable the Login One! plug-ins (both authentication and user) and check again.

Possible causes:

  • The authentication plug-in has not been enabled/published.
  • You have not disabled the standard Joomla! authentication plug-in.
  • You are using a Super User account. Super Users are never blocked.
  • You are not using the latest version of the plug-in. Check the version of the plug-in and update both the athentication and the user plug-in if necessary.
  • The plug-in scope has been set incorrectly, for example to 'back-end only'.
  • Your account has been allowed multiple log-ins, see plug-in configuration.
  • You are logging in from the same workstation while the plug-in Strict Mode has been set to NO.
  • The authentication plug-in is not fired first; put it at the top of the plug-in list.
  • Something went wrong during plug-in download and/or installation: download and/or install both plug-ins (authentication and user) again.

Possible causes:

  • The Joomla! Session Handler configuration has been set to "PHP" or "None".

Possible solution:

  • Set the Joomla! Session Handler to "database" (Back-end admin / Global config / System).

Possible cause:

  • The installed Joomla! update has probably changed the user log-in/log-out process in a way that is not compatible with the Login One! plug-in. For this reason, we recommend to always check and update the plug-in BEFORE updating the Joomla! core.

Possible solution:

  • If the plug-in is now locking you out from the back-end (you see an error or the notice that your credentials are wrong), try to get access to the back-end through a Super User account. If this does not help, then see under Regaining back-end access after lock-out.
  • If the plug-in is not locking you out from the back-end, but is merely performing incorrectly, then check for plug-in updates and install the latest updates if available. If things are still not OK, you may check the other cases in this guide, or have a look at the plug-in documentation, or have a look at the forum, or contact us for support (Premium and Business Editions).

Possible causes and solutions:

  • This is the correct behaviour of the Standard (freeware) Edition

The following is for the Premium and Business Edition only:

  • You have not installed the so-called override or the current override has become inactive because you have updated the Joomla! core software. Log into the front-end with Super User credentials, then log out and try again with the other account. If this doesn't work, uninstall and re-install the Login One! override, see documentation.
  • The current override may have become inactive because you have installed/updated a 3rd party login extension. Uninstall and re-install the Login One! override, see documentation.

If you are using the Standard (freeware) Edition, you can skip this, because the freeware edition does not have the Login One! override.

  • Log into the front-end with user credentials that are not allowed simultaneous sessions.
  • Log into the front-end website with the same user credentials but using a different browser.
  • You should see a notification saying that the second log-in has been denied.
  • If the last sentence of this notification specifies a waiting time (in minutes), then the Login One! override is active.

    Note: The plug-in scope configuration must include the ‘front-end’.

This is a last-resort option, if anything else has failed.
You will need MySQL access to the database of the involved Joomla! website.

  • Use MySQL Admin, phpMyAdmin or another MySQL program to connect to the website database.
  • Open the table named prefix_extensions. The word prefix will have been replaced by some code.
  • Look for the extension named plg_authentication_joomla , get into the edit screen for this record and set the enabled field to 1. Save the record.
  • Next, look for the extension named plg_user_joomla , get into the edit screen for this record and set the enabled field to 1. Save the record.

You have now re-enabled the standard Joomla! access plug-ins. Try if you can get access to your website.

If you still can't get access, then you must additionally disable the Login One! plug-ins in a similar procedure:

  • Connect to the Joomla! database and open the table named prefix_extensions.
  • Look for the extension named Authentication - Login One! (or similar), get into the edit screen for this record and set the enabled field to 0 (zero). Save the record.
  • Look for the extension named User - Login One! (or similar), get into the edit screen for this record and set the enabled field to 0 (zero). Save the record.

Your website has now been configured as if the Login One! plug-ins have not been installed.
If you still have no access, front- or back-end, the problem lies somewhere else, i.e. not with the Login One! plug-ins.


17 Jan 2017